DecoderException (Apache Commons Codec 1.22.0 API)
Description: declaration: package: org.apache.commons.codec, class: DecoderException

Package org.apache.commons.codec

# Class DecoderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.codec.DecoderException

All Implemented Interfaces:
  `Serializable`

public class DecoderException extends Exception
Thrown when there is a failure condition during the decoding process. This exception is thrown when a `Decoder` encounters a decoding specific exception such as invalid data, or characters outside of the expected range.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecoderException()`
  Constructs a new exception with `null` as its detail message.
  `DecoderException(String message)`
  Constructs a new exception with the specified detail message.
  `DecoderException(String message, Object... args)`
  Constructs a new exception with the specified detail message.
  `DecoderException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `DecoderException(Throwable cause)`
  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DecoderException

    public DecoderException()
    Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Since:
      1.4

  - ### DecoderException

    public DecoderException(String message)
    Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - The detail message which is saved for later retrieval by the `Throwable.getMessage()` method.

  - ### DecoderException

    public DecoderException(String message, Object... args)
    Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - The format message which is saved for later retrieval by the `Throwable.getMessage()` method.
      `args` - the format arguments to use.
    Since:
      1.20.0
    See Also:
      - `String.format(String, Object...)`

  - ### DecoderException

    public DecoderException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

    Parameters:
      `message` - The detail message which is saved for later retrieval by the `Throwable.getMessage()` method.
      `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
    Since:
      1.4

  - ### DecoderException

    public DecoderException(Throwable cause)
    Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables.
    Parameters:
      `cause` - The cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
    Since:
      1.4